Subject: Re: Frontier Front End Issues 9.17.09
From: "Mike" <[email-masked]>
To: "Susan Beimesche" <[email-masked]>
Date: Fri, 18 Sep 2009 12:33:02 -0400

Sue,
I think you may have meant to send this to another person.  
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked] 
  ----- Original Message ----- 
  From: Susan Beimesche 
  To: Mike ; Matt Dowd 
  Cc: [email-masked] ; Jim Borum ; Bridges, Josh ; Dwayne Millner ; Stephanie Bohl 
  Sent: Friday, September 18, 2009 12:28 PM
  Subject: Frontier Front End Issues 9.17.09

  Below is feedback on the front end of yesterdays Frontier sales.  I have to be able to find good recordings for Stephanie every week so please address these issues:

  JSaunders - Rep starts out pitch with, "we want to see if we can get you a better rate for your current services". Rep does not mention taxes and surcharges in the front end.

  SSeckman - Told the cx that we want to give him a better rate. Rep does not mention taxes and surcharges. Told the cx that the digital basic phone was exclusive to Alabama. Also Rep had the HSI Lite as a new product instead of existing.

  SMohler - When the cx told the rep how much he was paying the rep said "WOW they are charging you an arm and a leg." Reiterated that she thought Frontier was charging him too much multiple times. We do not want to say "they" as we are representing Frontier and the rep needs to be careful of being negative about Frontier to the cx. Rep did mention taxes and surcharges in the front end.

  JGalindez - Starts with "as you know we can offer internet and Dish but we really want to focus on your phone."  

  Rep tells the cx that the price is 39.99 WITH taxes in surcharges. This implies that is the total charge, instead of the base charge. When the cx asks about it she explains it correctly though.

  EFox - Rep did a good job pitching everything and uses correct verbiage.

  MNorth - Did not pitch HSI or Dish.

  KEwers - Rep did a good job pitching everything and uses correct verbiage.

  AsJohnson - Rep did not correctly mark down the products the cx has, had the existing internet as new HSI.  Cx said that he would agree only if it was the same product he already had and the rep ignored the cx. In verification the cx asked the price and the rep said "I just went over that with you." Cx was elderly and the rep seemed to be irritated by the end of the call.

   

  Thanks,
  Sue Beimesche
  QA Client Services Liaison
  RDI Marketing Services, Inc 
  Office (513) 273-4867

  Cell (513) 316 3577

  [email-masked]